GET /v1/youtube/web_v2/get_shorts_search_v2
Shorts search V2
stable · 3 credits per success
Search specifically for YouTube Shorts;Returns cleaned structured data (compared to get_shorts_search which returns raw data);Automatically filters non-Shorts content, returns only short videos;Supports pagination;keyword: Search keyword (required for first request);continuation_token: Pagination token (from previous response);upload_date: Upload date filter - last_hour/today/this_week/this_month…
Request parameters
| Name | Type | In | Required | Description | Example |
|---|---|---|---|---|---|
| keyword | string | query | no | 搜索关键词(首次请求必填) | coding tips |
| sort_by | string | query | no | 排序方式 | relevance |
| upload_date | string | query | no | 上传时间过滤 | last_hour |
| continuation_token | string | query | no | 分页token,用于获取下一页 | demo |
Response fields
Field dictionary coming soon — the executable panel shows the live shape.
Errors
| code | HTTP | Meaning | Billed |
|---|---|---|---|
| 40001 | 400 | Invalid parameters | no |
| 40102 | 401 | Invalid or revoked API Key | no |
| 40201 | 402 | Insufficient credits | no |
| 40402 | 404 | Resource not found | no |
| 42201 | 422 | Quality gate failed | no |
| 42901 | 429 | Rate limit exceeded | no |
| 50401 | 504 | Upstream timeout | no |
| 50201 | 502 | Upstream error | no |
Billing
Success costs 3 credits. Any failure — including a 200 that fails the quality gate — costs 0.